package com.xjrsoft.module.liteflow.node;

import cn.hutool.core.convert.Convert;
import com.xjrsoft.module.student.service.IBaseStudentBehaviorClassRelationService;
import com.yomahub.liteflow.core.NodeComponent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 学生操行考核流程结束处理
 */
@Component("wf_behavior_node")
public class WfBehaviorNode extends NodeComponent {

    @Autowired
    private IBaseStudentBehaviorClassRelationService behaviorClassRelationService;

    @Override
    public void process() throws Exception {
        // 获取表单中数据编号
        Map<String, Object> params = this.getFirstContextBean();
        Object value = util.getFormDatKey(params,"id");
        Long formId = Convert.toLong(value);
        if (formId != null) {
            // 数据处理
            behaviorClassRelationService.dataCache(formId);
        }
    }
}